# $Revision: 1.14 $, $Date: 2004/12/26 17:33:00 $

%define		module	pyosd

Summary:	xosd bindings for Python
Summary(pl):	Modu xosd dla Pythona
Name:		python-%{module}
Version:	0.2.11
Release:	2
License:	GNU
Group:		Development/Languages/Python
Source0:	http://repose.cx/pyosd/%{module}-%{version}.tar.gz
# Source0-md5:	5e11a005527505a6c7ea759a33653429
URL:		http://repose.cx/pyosd/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	xosd-devel >= 2.2.5
Requires:	xosd >= 2.2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyosd is a Python module for displaying text on your X display, much
like the "On Screen Displays" used on TVs and some monitors.

This is useful for such things as displaying the currently playing
song in your media player.

%description -l pl
pyosd jest moduem dla jzyka Python umoliwiajcym wywietlanie
tekstw na ekranie serwera X, podobnie jak "On Screen Display" uywany
w telewizorach i monitorach.

Moe to zosta wykorzystane do wywietlania aktualnie odtwarzanej
piosenki czy filmu.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* ChangeLog pyosd.html
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyosd.spec,v $
Revision 1.14  2004/12/26 17:33:00  saq
- release 2 for rebuild with python 2.4

Revision 1.13  2004/12/17 16:50:55  darekr
- updated to 0.2.11

Revision 1.12  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.11  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.10  2004/09/06 21:09:16  qboosh
- reverted buggy commit

Revision 1.9  2004/09/06 08:00:11  darekr
- missing files

Revision 1.8  2004/08/31 13:38:33  darekr
- update to 0.2.10

Revision 1.7  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/07/26 18:15:30  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.5  2004/05/27 08:14:10  zboczuch
- use %{py_sitedir} instead of %{py_sitescriptdir} due to .so file
- BR: xosd-devel >= 2.2.5 (doesn't work with xosd < 2)
- R: xosd > 2.2.5
- rel. 2

Revision 1.4  2004/05/26 22:04:19  qboosh
- .so perms

Revision 1.3  2004/05/26 21:17:44  ankry
- capitalization, tabs

Revision 1.2  2004/05/26 20:39:21  leafnode
- adapterized

Revision 1.1  2004/05/26 20:27:33  leafnode
- import
